"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var CellHdDirective = (function () {
    function CellHdDirective() {
        this.cellC = false;
    }
    __decorate([
        core_1.HostBinding('class.weui-cell__hd'),
        __metadata("design:type", Boolean)
    ], CellHdDirective.prototype, "cellC", void 0);
    CellHdDirective = __decorate([
        core_1.Directive({
            selector: 'div[head]'
        })
    ], CellHdDirective);
    return CellHdDirective;
}());
exports.CellHdDirective = CellHdDirective;
var CellBdDirective = (function () {
    function CellBdDirective() {
        this.cellC = false;
    }
    __decorate([
        core_1.HostBinding('class.weui-cell__bd'),
        __metadata("design:type", Boolean)
    ], CellBdDirective.prototype, "cellC", void 0);
    CellBdDirective = __decorate([
        core_1.Directive({
            selector: 'div[body]'
        })
    ], CellBdDirective);
    return CellBdDirective;
}());
exports.CellBdDirective = CellBdDirective;
var CellFtDirective = (function () {
    function CellFtDirective() {
        this.cellC = false;
    }
    __decorate([
        core_1.HostBinding('class.weui-cell__ft'),
        __metadata("design:type", Boolean)
    ], CellFtDirective.prototype, "cellC", void 0);
    CellFtDirective = __decorate([
        core_1.Directive({
            selector: 'div[foot]'
        })
    ], CellFtDirective);
    return CellFtDirective;
}());
exports.CellFtDirective = CellFtDirective;
var CellDirective = (function () {
    function CellDirective() {
        this.cellC = false;
        this.warnC = false;
        this.vcodeC = false;
        this.accessC = false;
    }
    Object.defineProperty(CellDirective.prototype, "warn", {
        set: function (warn) {
            this.warnC = warn !== false;
        },
        enumerable: true,
        configurable: true
    });
    ;
    Object.defineProperty(CellDirective.prototype, "vcode", {
        set: function (vcode) {
            this.vcodeC = vcode !== false;
        },
        enumerable: true,
        configurable: true
    });
    ;
    Object.defineProperty(CellDirective.prototype, "access", {
        set: function (access) {
            this.accessC = access !== false;
        },
        enumerable: true,
        configurable: true
    });
    ;
    CellDirective.prototype.ngAfterContentInit = function () {
        this.headD.forEach(function (c) {
            c.cellC = true;
        });
        this.bodyD.forEach(function (c) {
            c.cellC = true;
        });
        this.footD.forEach(function (c) {
            c.cellC = true;
        });
    };
    __decorate([
        core_1.HostBinding('class.weui-cell'),
        __metadata("design:type", Boolean)
    ], CellDirective.prototype, "cellC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-cell_warn'),
        __metadata("design:type", Boolean)
    ], CellDirective.prototype, "warnC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-cell_vcode'),
        __metadata("design:type", Boolean)
    ], CellDirective.prototype, "vcodeC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-cell_access'),
        __metadata("design:type", Boolean)
    ], CellDirective.prototype, "accessC", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [Object])
    ], CellDirective.prototype, "warn", null);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [Object])
    ], CellDirective.prototype, "vcode", null);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [Object])
    ], CellDirective.prototype, "access", null);
    __decorate([
        core_1.ContentChildren(CellHdDirective),
        __metadata("design:type", core_1.QueryList)
    ], CellDirective.prototype, "headD", void 0);
    __decorate([
        core_1.ContentChildren(CellBdDirective),
        __metadata("design:type", core_1.QueryList)
    ], CellDirective.prototype, "bodyD", void 0);
    __decorate([
        core_1.ContentChildren(CellFtDirective),
        __metadata("design:type", core_1.QueryList)
    ], CellDirective.prototype, "footD", void 0);
    CellDirective = __decorate([
        core_1.Directive({
            selector: 'div[cell]'
        })
    ], CellDirective);
    return CellDirective;
}());
exports.CellDirective = CellDirective;
var CellsDirective = (function () {
    function CellsDirective() {
        this.cellsC = true;
        this.checkboxC = false;
        this.radioC = false;
    }
    Object.defineProperty(CellsDirective.prototype, "check", {
        set: function (value) {
            this.checkboxC = value === 'checkbox';
            this.radioC = value === 'radio';
        },
        enumerable: true,
        configurable: true
    });
    CellsDirective.prototype.ngAfterContentInit = function () {
        this.cellD.forEach(function (c) {
            c.cellC = true;
        });
    };
    __decorate([
        core_1.HostBinding('class.weui-cells'),
        __metadata("design:type", Boolean)
    ], CellsDirective.prototype, "cellsC", void 0);
    __decorate([
        core_1.ContentChildren(CellDirective),
        __metadata("design:type", core_1.QueryList)
    ], CellsDirective.prototype, "cellD", void 0);
    __decorate([
        core_1.HostBinding('class.weui-cells_checkbox'),
        __metadata("design:type", Boolean)
    ], CellsDirective.prototype, "checkboxC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-cells_radio'),
        __metadata("design:type", Boolean)
    ], CellsDirective.prototype, "radioC", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [Object])
    ], CellsDirective.prototype, "check", null);
    CellsDirective = __decorate([
        core_1.Directive({
            selector: 'div[ye-cells]'
        })
    ], CellsDirective);
    return CellsDirective;
}());
exports.CellsDirective = CellsDirective;
//# sourceMappingURL=cell.js.map