import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const CHECKBOX_OPTION_CONTROL_VALUE_ACCESSOR: any;
export declare class CheckBoxDirective {
    cellsC: boolean;
    checkboxC: boolean;
}
export declare class CheckBoxOptionComponent implements ControlValueAccessor {
    _changeDetectorRef: ChangeDetectorRef;
    type: string;
    checked: boolean;
    change: EventEmitter<boolean>;
    id: string;
    name: string;
    cellC: boolean;
    labelA: boolean;
    private _checked;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    writeValue(value: any): void;
    registerOnTouched(fn: any): void;
    registerOnChange(fn: (value: any) => void): void;
    ignoreInputChange(event: Event): void;
    ignoreInputClick(event: Event): void;
    private _controlValueAccessorChangeFn;
    private onTouched;
}
