import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const RADIO_CONTROL_VALUE_ACCESSOR: any;
export declare class RadioDirective implements ControlValueAccessor {
    chosen: any;
    change: EventEmitter<any>;
    cellsC: boolean;
    radioC: boolean;
    private options;
    private currentId;
    private _chosen;
    _optionChange(optionId: string): void;
    writeValue(value: any): void;
    registerOnTouched(fn: any): void;
    registerOnChange(fn: (value: any) => void): void;
    private _controlValueAccessorChangeFn;
    private onTouched;
}
export declare class RadioOptionComponent {
    _changeDetectorRef: ChangeDetectorRef;
    private radioD;
    name: string;
    value: any;
    checked: boolean;
    id: string;
    cellC: boolean;
    labelA: boolean;
    private _checked;
    constructor(_changeDetectorRef: ChangeDetectorRef, radioD: RadioDirective);
    ignoreInputChange(event: Event): void;
    ignoreInputClick(event: Event): void;
    _setOff(): void;
    _setOn(): void;
}
