import { Injector, ViewContainerRef, ComponentFactoryResolver, ComponentRef } from '@angular/core';
import { ComponentType } from './common';
export declare class ContainerHostDirective {
    private viewContainerRef;
    private componentFactoryResolver;
    private disposeFn;
    constructor(viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    attachComponent<T>(component: ComponentType<T>, injector: Injector): ComponentRef<T>;
    private setDisposeFn(fn);
}
