"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ContainerRef = (function () {
    function ContainerRef(rootRef, rootDOM) {
        this.rootRef = rootRef;
        this.rootDOM = rootDOM;
    }
    ContainerRef.prototype.createComponent = function (containerComponent, containerConfig) {
        return this.rootRef.attach(containerComponent, containerConfig);
    };
    ContainerRef.prototype.removeComponent = function () {
        this.rootRef.dispose();
        if (this.rootDOM.parentNode != null) {
            this.rootDOM.parentNode.removeChild(this.rootDOM);
        }
    };
    return ContainerRef;
}());
exports.ContainerRef = ContainerRef;
//# sourceMappingURL=container.ref.js.map