import { ComponentFactoryResolver, ApplicationRef, Injector, ComponentRef } from '@angular/core';
import { ComponentType, ContainerConfig } from './common';
export declare class RootRef {
    private rootDOM;
    private componentFactoryResolver;
    private appRef;
    private injector;
    private disposeFn;
    private isDisposed;
    constructor(rootDOM: HTMLElement, componentFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, injector: Injector);
    attach<T>(containerComponent: ComponentType<T>, containerConfig: ContainerConfig): ComponentRef<T>;
    dispose(): void;
    private setDisposeFn(fn);
    private getComponentRootNode(componentRef);
}
