import { ToastContainerComponent } from './container';
import { ContainerRef } from '../base/container.ref';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/from';
import 'rxjs/add/operator/filter';
export declare class ToastRef<T> {
    private containerRef;
    private containerComponent;
    private readonly id;
    componentInstance: T;
    private afterClosed;
    private result;
    constructor(containerRef: ContainerRef, containerComponent: ToastContainerComponent, id?: string);
    close(result?: any): void;
    afterClose(): Observable<any>;
}
