"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var PlainButtonComponent = (function () {
    function PlainButtonComponent() {
        this.btnC = true;
        this.default = this.defaultC = true;
        this.loading = this.loadingC = false;
        this.primary = this.primaryC = false;
        this.disabled = this.disabledC = false;
        this.mini = this.miniC = false;
    }
    PlainButtonComponent.prototype.ngOnChanges = function (changes) {
        if (changes.mini && changes.mini.isFirstChange()) {
            this.miniC = changes.mini.currentValue !== false;
        }
        if (changes.loading && changes.loading.currentValue !== changes.loading.previousValue) {
            this.loadingC = changes.loading.currentValue !== false;
        }
        if (changes.disabled && changes.disabled.currentValue !== changes.disabled.previousValue) {
            this.disabledC = changes.disabled.currentValue !== false;
        }
        if (changes.default && changes.default.currentValue !== changes.default.previousValue) {
            this.defaultC = changes.default.currentValue !== false;
            if (this.defaultC) {
                this.primaryC = false;
                return;
            }
        }
        if (changes.primary && changes.primary.currentValue !== changes.primary.previousValue) {
            this.primaryC = changes.primary.currentValue !== false;
            if (this.primaryC) {
                this.defaultC = false;
                return;
            }
        }
        if (!this.primaryC) {
            this.defaultC = true;
        }
    };
    __decorate([
        core_1.HostBinding('class.weui-btn'),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "btnC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_plain-default'),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "defaultC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_plain-loading'),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "loadingC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_plain-primary'),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "primaryC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_plain-disabled'),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "disabledC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_mini'),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "miniC", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "default", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "loading", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "primary", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "disabled", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], PlainButtonComponent.prototype, "mini", void 0);
    PlainButtonComponent = __decorate([
        core_1.Component({
            selector: 'ye-button-plain',
            template: "<i class=\"weui-loading\" *ngIf=\"loadingC\"></i><ng-content></ng-content>",
            encapsulation: core_1.ViewEncapsulation.None,
            changeDetection: core_1.ChangeDetectionStrategy.OnPush
        }),
        __metadata("design:paramtypes", [])
    ], PlainButtonComponent);
    return PlainButtonComponent;
}());
exports.PlainButtonComponent = PlainButtonComponent;
var ButtonComponent = (function () {
    function ButtonComponent() {
        this.btnC = true;
        this.default = this.defaultC = true;
        this.loading = this.loadingC = false;
        this.primary = this.primaryC = false;
        this.warn = this.warnC = false;
        this.disabled = this.disabledC = false;
        this.mini = this.miniC = false;
    }
    ButtonComponent.prototype.ngOnChanges = function (changes) {
        if (changes.mini && changes.mini.isFirstChange()) {
            this.miniC = changes.mini.currentValue !== false;
        }
        if (changes.loading && changes.loading.currentValue !== changes.loading.previousValue) {
            this.loadingC = changes.loading.currentValue !== false;
        }
        if (changes.disabled && changes.disabled.currentValue !== changes.disabled.previousValue) {
            this.disabledC = changes.disabled.currentValue !== false;
        }
        if (changes.default && changes.default.currentValue !== changes.default.previousValue) {
            this.defaultC = changes.default.currentValue !== false;
            if (this.defaultC) {
                this.warnC = this.primaryC = false;
                return;
            }
        }
        if (changes.primary && changes.primary.currentValue !== changes.primary.previousValue) {
            this.primaryC = changes.primary.currentValue !== false;
            if (this.primaryC) {
                this.warnC = this.defaultC = false;
                return;
            }
        }
        if (changes.warn && changes.warn.currentValue !== changes.warn.previousValue) {
            this.warnC = changes.warn.currentValue !== false;
            if (this.warnC) {
                this.defaultC = this.primaryC = false;
                return;
            }
        }
        if (!this.primaryC && !this.warnC) {
            this.defaultC = true;
        }
    };
    __decorate([
        core_1.HostBinding('class.weui-btn'),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "btnC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_default'),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "defaultC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_loading'),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "loadingC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_warn'),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "warnC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_primary'),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "primaryC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_disabled'),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "disabledC", void 0);
    __decorate([
        core_1.HostBinding('class.weui-btn_mini'),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "miniC", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "default", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "loading", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "warn", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "primary", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "disabled", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ButtonComponent.prototype, "mini", void 0);
    ButtonComponent = __decorate([
        core_1.Component({
            selector: 'ye-button',
            template: "<i class=\"weui-loading\" *ngIf=\"loadingC\"></i><ng-content></ng-content>",
            encapsulation: core_1.ViewEncapsulation.None,
            changeDetection: core_1.ChangeDetectionStrategy.OnPush
        }),
        __metadata("design:paramtypes", [])
    ], ButtonComponent);
    return ButtonComponent;
}());
exports.ButtonComponent = ButtonComponent;
//# sourceMappingURL=button.js.map