"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var PortalInjector = (function () {
    function PortalInjector(_parentInjector, _customTokens) {
        this._parentInjector = _parentInjector;
        this._customTokens = _customTokens;
    }
    PortalInjector.prototype.get = function (token, notFoundValue) {
        var value = this._customTokens.get(token);
        if (typeof value !== 'undefined') {
            return value;
        }
        return this._parentInjector.get(token, notFoundValue);
    };
    return PortalInjector;
}());
exports.PortalInjector = PortalInjector;
exports.CONTAINER_DATA = new core_1.InjectionToken('CONTAINER_DATA');
exports.DIALOG_DATA = new core_1.InjectionToken('DIALOG_DATA');
exports.TOAST_DATA = new core_1.InjectionToken('TOAST_DATA');
exports.LOAD_DATA = new core_1.InjectionToken('LOAD_DATA');
//# sourceMappingURL=common.js.map