"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ContainerHostDirective = (function () {
    function ContainerHostDirective(viewContainerRef, componentFactoryResolver) {
        this.viewContainerRef = viewContainerRef;
        this.componentFactoryResolver = componentFactoryResolver;
    }
    ContainerHostDirective.prototype.attachComponent = function (component, injector) {
        var viewContainerRef = this.viewContainerRef;
        var componentFactory = this.componentFactoryResolver.resolveComponentFactory(component);
        var ref = viewContainerRef.createComponent(componentFactory, viewContainerRef.length, injector || viewContainerRef.parentInjector);
        this.setDisposeFn(function () { return ref.destroy(); });
        return ref;
    };
    ContainerHostDirective.prototype.setDisposeFn = function (fn) {
        this.disposeFn = fn;
    };
    ContainerHostDirective = __decorate([
        core_1.Directive({
            selector: '[yupHost]',
        }),
        __metadata("design:paramtypes", [core_1.ViewContainerRef,
            core_1.ComponentFactoryResolver])
    ], ContainerHostDirective);
    return ContainerHostDirective;
}());
exports.ContainerHostDirective = ContainerHostDirective;
//# sourceMappingURL=container-host.js.map