"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var root_ref_1 = require("./root.ref");
var container_ref_1 = require("./container.ref");
var nextUniqueId = 0;
var Container = (function () {
    function Container(componentFactoryResolver, appRef, injector) {
        this.componentFactoryResolver = componentFactoryResolver;
        this.appRef = appRef;
        this.injector = injector;
    }
    Container.prototype.createContainer = function () {
        var dom = document.createElement('div');
        dom.id = "yup-root-" + nextUniqueId++;
        dom.classList.add('yup-root-container');
        this.getRootContainer().appendChild(dom);
        return new container_ref_1.ContainerRef(new root_ref_1.RootRef(dom, this.componentFactoryResolver, this.appRef, this.injector), dom);
    };
    Container.prototype.getRootContainer = function () {
        if (!this.rootContainerDOM) {
            var dom = document.createElement('div');
            dom.classList.add('yup-root');
            document.body.appendChild(dom);
            this.rootContainerDOM = dom;
        }
        return this.rootContainerDOM;
    };
    Container = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [core_1.ComponentFactoryResolver,
            core_1.ApplicationRef,
            core_1.Injector])
    ], Container);
    return Container;
}());
exports.Container = Container;
//# sourceMappingURL=container.js.map