import { RootRef } from './root.ref';
import { ComponentType, ContainerConfig } from './common';
import { ComponentRef } from '@angular/core';
export declare class ContainerRef {
    private rootRef;
    private rootDOM;
    constructor(rootRef: RootRef, rootDOM: HTMLElement);
    createComponent<T>(containerComponent: ComponentType<T>, containerConfig: ContainerConfig): ComponentRef<T>;
    removeComponent(): void;
}
