"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("../base/common");
var dialog_ref_1 = require("./dialog.ref");
var DialogComponent = (function () {
    function DialogComponent(data, dialog) {
        this.data = data;
        this.dialog = dialog;
    }
    DialogComponent.prototype.close = function (ok) {
        this.dialog.close(!!ok);
    };
    DialogComponent = __decorate([
        core_1.Component({
            template: "\n        <div class=\"weui-dialog__hd\"><strong class=\"weui-dialog__title\">{{data?.title || '\u6D88\u606F'}}</strong></div>\n        <div class=\"weui-dialog__bd\">{{data?.body || ' '}}</div>\n        <div class=\"weui-dialog__ft\">\n            <div class=\"weui-dialog__btn weui-dialog__btn_default\" (click)=\"close(false)\" *ngIf=\"data?.showCancel\">{{data?.no || '\u53D6\u6D88'}}</div>\n            <div class=\"weui-dialog__btn weui-dialog__btn_primary\" (click)=\"close(true)\">{{data?.ok || '\u786E\u8BA4'}}</div>\n        </div>\n    ",
            encapsulation: core_1.ViewEncapsulation.None
        }),
        __param(0, core_1.Inject(common_1.DIALOG_DATA)),
        __metadata("design:paramtypes", [Object, dialog_ref_1.DialogRef])
    ], DialogComponent);
    return DialogComponent;
}());
exports.DialogComponent = DialogComponent;
//# sourceMappingURL=template.js.map