"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var service_1 = require("./service");
var animations_1 = require("@angular/platform-browser/animations");
var container_1 = require("./base/container");
var container_host_1 = require("./base/container-host");
var container_2 = require("./dialog/container");
var template_1 = require("./dialog/template");
var container_3 = require("./toast/container");
var template_2 = require("./toast/template");
var container_4 = require("./load/container");
var template_3 = require("./load/template");
var YupModule = (function () {
    function YupModule() {
    }
    YupModule = __decorate([
        core_1.NgModule({
            declarations: [
                container_host_1.ContainerHostDirective,
                template_1.DialogComponent, container_2.DialogContainerComponent,
                container_3.ToastContainerComponent, template_2.ToastComponent,
                container_4.LoadContainerComponent, template_3.LoadComponent
            ],
            imports: [animations_1.BrowserAnimationsModule, common_1.CommonModule],
            exports: [],
            providers: [service_1.YUPService, container_1.Container],
            entryComponents: [
                template_1.DialogComponent, container_2.DialogContainerComponent,
                container_3.ToastContainerComponent, template_2.ToastComponent,
                container_4.LoadContainerComponent, template_3.LoadComponent
            ]
        })
    ], YupModule);
    return YupModule;
}());
exports.YupModule = YupModule;
//# sourceMappingURL=module.js.map