"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("../base/common");
var toast_ref_1 = require("./toast.ref");
var ToastComponent = (function () {
    function ToastComponent(config, toast) {
        this.config = config;
        this.toast = toast;
        setTimeout(function () {
            toast.close();
        }, config.duration || 2000);
    }
    ToastComponent = __decorate([
        core_1.Component({
            template: "{{config?.body}}",
            encapsulation: core_1.ViewEncapsulation.None
        }),
        __param(0, core_1.Inject(common_1.TOAST_DATA)),
        __metadata("design:paramtypes", [Object, toast_ref_1.ToastRef])
    ], ToastComponent);
    return ToastComponent;
}());
exports.ToastComponent = ToastComponent;
//# sourceMappingURL=template.js.map